Subject: Re: Uninstalling Git

From: [email-masked]
Date: Sun, 23 Sep 2007 21:47:47 +0200

Hello!

Oh! great solution! I didn't know this tool, I'll do that! Thanks a lot!

Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 23 Sep 2007, [email-masked] wrote:
> 
>> $ make configure
>> $ ./configure --prefix=/usr/local
>> $ make all doc
>> $ sudo make install install-doc
>>
>> First, I'd like to uninstall the thing completely, how do I do that?
> 
> I'd use checkinstall to install it (again), and then use the distro's 
> regular tools; in case of Ubuntu, that would be dpkg I believe.
> 
>> Second, what would be the correct procedure to follow if I would like 
>> just to upgrade to a newer version? install over the older perhaps? Is 
>> that always safe in the sense that there won't be any dangling piece of 
>> bin nor doc?
> 
> On Linux this should be safe at all times.
> 
> Hth,
> Dscho
>